local function table_merge(t1, t2)
    for k, v in pairs(t2) do
        if (type(v) == "table") and (type(t1[k] or false) == "table") then
            table_merge(t1[k], t2[k])
        else
            t1[k] = v
        end
    end
    return t1
end

local settings = {}
settings.pylsp = require("python_lsp_server_settings")

local workspace_settings_file = vim.fn.findfile(".nvim/lsp-server-settings.lua", ".;")
if workspace_settings_file ~= "" then
    workspace_settings = dofile(workspace_settings_file)
    settings = table_merge(settings, workspace_settings)
end

return settings
